Thread::merge
Thread::pop
Thread
PHP Manual

# Thread::notify

(PECL pthreads >= 0.34)

Thread::notify — Synchronization

### Description

final public boolean Thread::notify ( void )

Send notification to the referenced Thread

### Parameters

This function has no parameters.

### Return Values

A boolean indication of success

### Examples

Example #1 Notifications and Waiting

`<?php
class My extends Thread {
public function run() {
/** cause this thread to wait **/
$this->synchronized(function($thread){
$thread->wait();
}, $this);
}
}
$my = new My();
$my->start();
/** send notification to the waiting thread **/
$my->synchronized(function($thread){
$thread->notify();
}, $my);
var_dump($my->join());
?>`

The above example will output:

    bool(true)

Thread::merge
Thread::pop
Thread
PHP Manual